IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
vtkExodusIIMultiBlockDataSet Class Reference

`#include <vtkExodusIIMultiBlockDataSet.h>`

## Public Member Functions
| vtkTypeMacro (vtkExodusIIMultiBlockDataSet, vtkMultiBlockDataSet)
void | PrintSelf (ostream &os, vtkIndent indent)
void | InitializeElementBlocks (const std::vector< int > &element_block_id_list)
void | InitializeGlobalPoints (int num_points, int dimension, const double *data)
void | ReleaseMemory ()
void | CreateGlobalVariable (std::vector< std::string > &component_names, vtkVariant &v, const void *data)
void | CreateElementBlock (const char *elem_block_name, int elem_block_id, const std::string &elem_type, int nodes_per_elem, int num_elem, vtkVariant &v, const int64_t *global_elem_ids, void *connectivity)
void | CreateElementVariable (std::vector< std::string > &component_names, int elem_block_id, vtkVariant &v, const void *data)
void | CreateNodalVariable (std::vector< std::string > &component_names, vtkVariant &v, const void *data)
void | CreateNodeSet (const char *node_set_name, int node_set_id, int num_ids, vtkVariant &v, const void *ids)
void | CreateSideSet (const char *ss_owner_name, int side_set_id, int num_ids, vtkVariant &v, const void *element_ids, const void *face_ids)
| vtkSetMacro (UnderscoreVectors, int)
| vtkGetMacro (UnderscoreVectors, int)
| vtkBooleanMacro (UnderscoreVectors, int)
| vtkSetMacro (ApplyDisplacements, int)
| vtkGetMacro (ApplyDisplacements, int)
| vtkBooleanMacro (ApplyDisplacements, int)

## Static Public Member Functions
static vtkExodusIIMultiBlockDataSet * | New ()

## Protected Member Functions
| vtkExodusIIMultiBlockDataSet ()
| ~vtkExodusIIMultiBlockDataSet ()

## Private Member Functions
| vtkExodusIIMultiBlockDataSet (const vtkExodusIIMultiBlockDataSet &)
void | operator= (const vtkExodusIIMultiBlockDataSet &)
void | ContainsVector (std::vector< std::string > &component_names, std::vector< std::string > &prefix_name)
double | GetArrayValue (vtkVariant &v, const void *data, int index)
void | ReleaseGlobalPoints ()
void | CreateGlobalVariableInternal (std::vector< std::string > &component_names, vtkMultiBlockDataSet *eb, unsigned int bid, vtkVariant &v, const void *data)
void | CreateNodalVariableInternal (std::vector< std::string > &component_names, vtkMultiBlockDataSet *eb, std::map< int, unsigned int > &id_map, std::map< int, std::map< int, int >> &point_map, vtkVariant &v, const void *data)
void | CreateElementVariableInternal (std::vector< std::string > &component_names, vtkMultiBlockDataSet *eb, unsigned int bid, vtkVariant &v, const void *data)
void | ReleaseMemoryInternal (vtkMultiBlockDataSet *eb)

## Private Attributes
std::map< int, std::map< int, int > > | ebmap
std::map< int, std::map< int, int > > | ebmap_reverse
std::map< int, std::map< int, int > > | global_elem_id_map
std::vector< int > | global_point_id_to_global_elem_id
std::map< int, unsigned int > | ebidmap
std::map< int, unsigned int > | nsidmap
std::map< int, std::map< int, int > > | nsmap
std::map< int, unsigned int > | ssidmap
std::map< int, Ve2mSideSetInfo * > | ssinfomap
std::map< int, std::map< int, int > > | ssmap
vtkPoints * | global_points
int | num_global_points
int | UnderscoreVectors
int | ApplyDisplacements

## Constructor & Destructor Documentation

## ◆ vtkExodusIIMultiBlockDataSet() [1/2]

vtkExodusIIMultiBlockDataSet::vtkExodusIIMultiBlockDataSet | ( |  | ) |
| protected

## ◆ ~vtkExodusIIMultiBlockDataSet()

vtkExodusIIMultiBlockDataSet::~vtkExodusIIMultiBlockDataSet | ( |  | ) |
| protected

## ◆ vtkExodusIIMultiBlockDataSet() [2/2]

vtkExodusIIMultiBlockDataSet::vtkExodusIIMultiBlockDataSet | ( | const vtkExodusIIMultiBlockDataSet & |  | ) |
| private

## Member Function Documentation

## ◆ ContainsVector()

void vtkExodusIIMultiBlockDataSet::ContainsVector | ( | std::vector< std::string > & | component_names,
|  | std::vector< std::string > & | prefix_name
| ) |  |
| private

## ◆ CreateElementBlock()

void vtkExodusIIMultiBlockDataSet::CreateElementBlock | ( | const char * | elem_block_name,
|  | int | elem_block_id,
|  | const std::string & | elem_type,
|  | int | nodes_per_elem,
|  | int | num_elem,
|  | vtkVariant & | v,
|  | const int64_t * | global_elem_ids,
|  | void * | connectivity
| ) |  |

## ◆ CreateElementVariable()

void vtkExodusIIMultiBlockDataSet::CreateElementVariable | ( | std::vector< std::string > & | component_names,
|  | int | elem_block_id,
|  | vtkVariant & | v,
|  | const void * | data
| ) |  |

## ◆ CreateElementVariableInternal()

void vtkExodusIIMultiBlockDataSet::CreateElementVariableInternal | ( | std::vector< std::string > & | component_names,
|  | vtkMultiBlockDataSet * | eb,
|  | unsigned int | bid,
|  | vtkVariant & | v,
|  | const void * | data
| ) |  |
| private

## ◆ CreateGlobalVariable()

void vtkExodusIIMultiBlockDataSet::CreateGlobalVariable | ( | std::vector< std::string > & | component_names,
|  | vtkVariant & | v,
|  | const void * | data
| ) |  |

## ◆ CreateGlobalVariableInternal()

void vtkExodusIIMultiBlockDataSet::CreateGlobalVariableInternal | ( | std::vector< std::string > & | component_names,
|  | vtkMultiBlockDataSet * | eb,
|  | unsigned int | bid,
|  | vtkVariant & | v,
|  | const void * | data
| ) |  |
| private

## ◆ CreateNodalVariable()

void vtkExodusIIMultiBlockDataSet::CreateNodalVariable | ( | std::vector< std::string > & | component_names,
|  | vtkVariant & | v,
|  | const void * | data
| ) |  |

## ◆ CreateNodalVariableInternal()

void vtkExodusIIMultiBlockDataSet::CreateNodalVariableInternal | ( | std::vector< std::string > & | component_names,
|  | vtkMultiBlockDataSet * | eb,
|  | std::map< int, unsigned int > & | id_map,
|  | std::map< int, std::map< int, int >> & | point_map,
|  | vtkVariant & | v,
|  | const void * | data
| ) |  |
| private

## ◆ CreateNodeSet()

void vtkExodusIIMultiBlockDataSet::CreateNodeSet | ( | const char * | node_set_name,
|  | int | node_set_id,
|  | int | num_ids,
|  | vtkVariant & | v,
|  | const void * | ids
| ) |  |

## ◆ CreateSideSet()

void vtkExodusIIMultiBlockDataSet::CreateSideSet | ( | const char * | ss_owner_name,
|  | int | side_set_id,
|  | int | num_ids,
|  | vtkVariant & | v,
|  | const void * | element_ids,
|  | const void * | face_ids
| ) |  |

## ◆ GetArrayValue()

double vtkExodusIIMultiBlockDataSet::GetArrayValue | ( | vtkVariant & | v,
|  | const void * | data,
|  | int | index
| ) |  |
| private

## ◆ InitializeElementBlocks()

void vtkExodusIIMultiBlockDataSet::InitializeElementBlocks | ( | const std::vector< int > & | element_block_id_list | ) |

## ◆ InitializeGlobalPoints()

void vtkExodusIIMultiBlockDataSet::InitializeGlobalPoints | ( | int | num_points,
|  | int | dimension,
|  | const double * | data
| ) |  |

## ◆ New()

static vtkExodusIIMultiBlockDataSet* vtkExodusIIMultiBlockDataSet::New | ( |  | ) |
| static

## ◆ operator=()

void vtkExodusIIMultiBlockDataSet::operator= | ( | const vtkExodusIIMultiBlockDataSet & |  | ) |
| private

## ◆ PrintSelf()

void vtkExodusIIMultiBlockDataSet::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

## ◆ ReleaseGlobalPoints()

void vtkExodusIIMultiBlockDataSet::ReleaseGlobalPoints | ( |  | ) |
| private

## ◆ ReleaseMemory()

void vtkExodusIIMultiBlockDataSet::ReleaseMemory | ( |  | ) |

## ◆ ReleaseMemoryInternal()

void vtkExodusIIMultiBlockDataSet::ReleaseMemoryInternal | ( | vtkMultiBlockDataSet * | eb | ) |
| private

## ◆ vtkBooleanMacro() [1/2]

vtkExodusIIMultiBlockDataSet::vtkBooleanMacro | ( | UnderscoreVectors | ,
|  | int |
| ) |  |

## ◆ vtkBooleanMacro() [2/2]

vtkExodusIIMultiBlockDataSet::vtkBooleanMacro | ( | ApplyDisplacements | ,
|  | int |
| ) |  |

## ◆ vtkGetMacro() [1/2]

vtkExodusIIMultiBlockDataSet::vtkGetMacro | ( | UnderscoreVectors | ,
|  | int |
| ) |  |

## ◆ vtkGetMacro() [2/2]

vtkExodusIIMultiBlockDataSet::vtkGetMacro | ( | ApplyDisplacements | ,
|  | int |
| ) |  |

## ◆ vtkSetMacro() [1/2]

vtkExodusIIMultiBlockDataSet::vtkSetMacro | ( | UnderscoreVectors | ,
|  | int |
| ) |  |

## ◆ vtkSetMacro() [2/2]

vtkExodusIIMultiBlockDataSet::vtkSetMacro | ( | ApplyDisplacements | ,
|  | int |
| ) |  |

## ◆ vtkTypeMacro()

vtkExodusIIMultiBlockDataSet::vtkTypeMacro | ( | vtkExodusIIMultiBlockDataSet | ,
|  | vtkMultiBlockDataSet |
| ) |  |

## Member Data Documentation

## ◆ ApplyDisplacements

int vtkExodusIIMultiBlockDataSet::ApplyDisplacements
| private

## ◆ ebidmap

std::map<int, unsigned int> vtkExodusIIMultiBlockDataSet::ebidmap
| private

## ◆ ebmap

std::map<int, std::map<int, int> > vtkExodusIIMultiBlockDataSet::ebmap
| private

## ◆ ebmap_reverse

std::map<int, std::map<int, int> > vtkExodusIIMultiBlockDataSet::ebmap_reverse
| private

## ◆ global_elem_id_map

std::map<int, std::map<int, int> > vtkExodusIIMultiBlockDataSet::global_elem_id_map
| private

## ◆ global_point_id_to_global_elem_id

std::vector<int> vtkExodusIIMultiBlockDataSet::global_point_id_to_global_elem_id
| private

## ◆ global_points

vtkPoints* vtkExodusIIMultiBlockDataSet::global_points
| private

## ◆ nsidmap

std::map<int, unsigned int> vtkExodusIIMultiBlockDataSet::nsidmap
| private

## ◆ nsmap

std::map<int, std::map<int, int> > vtkExodusIIMultiBlockDataSet::nsmap
| private

## ◆ num_global_points

int vtkExodusIIMultiBlockDataSet::num_global_points
| private

## ◆ ssidmap

std::map<int, unsigned int> vtkExodusIIMultiBlockDataSet::ssidmap
| private

## ◆ ssinfomap

std::map<int, Ve2mSideSetInfo *> vtkExodusIIMultiBlockDataSet::ssinfomap
| private

## ◆ ssmap

std::map<int, std::map<int, int> > vtkExodusIIMultiBlockDataSet::ssmap
| private

## ◆ UnderscoreVectors

int vtkExodusIIMultiBlockDataSet::UnderscoreVectors
| private

The documentation for this class was generated from the following file:

- src/visualization/ParaViewCatalystIossAdapter/vtkExodusIIMultiBlockDataSet.h